## kirigami2 5.44.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0)

set(KF5_VERSION "5.44.0") # handled by release scripts
set(KF5_DEP_VERSION "5.44.0") # handled by release scripts

project(kirigami2 VERSION ${KF5_VERSION})

set(REQUIRED_QT_VERSION "5.7.0")

SET(CMAKE_CXX_STANDARD 11)

################# Disallow in-source build #################

if("${CMAKE_SOURCE_DIR}" STREQUAL "${CMAKE_BINARY_DIR}")
   message(FATAL_ERROR "kirigami requires an out of source build. Please create a separate build directory and run 'cmake path_to_kirigami [options]' there.")
endif()

option(BUILD_SHARED_LIBS "Build a shared module" ON)
option(DESKTOP_ENABLED "Build and install The Desktop style" ON)
option(STATIC_LIBRARY "Build as a static library (deprecated, use BUILD_SHARED_LIBS instead)" OFF)
option(BUILD_EXAMPLES "Build and install examples" OFF)

if(NOT BUILD_SHARED_LIBS)
    set(STATIC_LIBRARY 1)
elseif(STATIC_LIBRARY)
    set(BUILD_SHARED_LIBS 0)
endif()

# Make CPack available to easy generate binary packages
include(CPack)
include(FeatureSummary)

find_package(Qt5 ${REQUIRED_QT_VERSION} REQUIRED NO_MODULE COMPONENTS Core Quick Gui Svg QuickControls2)
find_package(Qt5Test ${REQUIRED_QT_VERSION} CONFIG QUIET)

set(CMAKE_AUTOMOC ON)
set(AUTOMOC_MOC_OPTIONS -Muri=org.kde.kirigami)
set(CMAKE_INCLUDE_CURRENT_DIR ON)

if(STATIC_LIBRARY)
    add_definitions(-DKIRIGAMI_BUILD_TYPE_STATIC)
    add_definitions(-DQT_PLUGIN)
    add_definitions(-DQT_STATICPLUGIN=1)
else(STATIC_LIBRARY)
    add_subdirectory(autotests)
endif(STATIC_LIBRARY)

################# set KDE specific information #################

find_package(ECM 5.44.0 NO_MODULE)
set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://projects.kde.org/projects/kdesupport/extra-cmake-modules")

# where to look first for cmake modules, before ${CMAKE_ROOT}/Modules/ is checked
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})

include(GenerateExportHeader)
include(ECMSetupVersion)
include(ECMGenerateHeaders)
include(CMakePackageConfigHelpers)
include(ECMPoQmTools)
include(ECMQMLModules)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(ECMQtDeclareLoggingCategory)
include(ECMAddQch)
include(KDECompilerSettings NO_POLICY_SCOPE)

set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF5Kirigami2")

option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
add_feature_info(QCH ${BUILD_QCH} "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)")

configure_package_config_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/KF5Kirigami2Config.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/KF5Kirigami2Config.cmake"
    INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
    PATH_VARS  KF5_INCLUDE_INSTALL_DIR CMAKE_INSTALL_PREFIX
)

install(FILES
    "${CMAKE_CURRENT_BINARY_DIR}/KF5Kirigami2Config.cmake"
    "${CMAKE_CURRENT_BINARY_DIR}/KF5Kirigami2ConfigVersion.cmake"
    "${CMAKE_CURRENT_SOURCE_DIR}/KF5Kirigami2Macros.cmake"
    DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
    COMPONENT Devel
)

install(EXPORT KF5Kirigami2Targets
    DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
    FILE KF5Kirigami2Targets.cmake
    NAMESPACE KF5::
)


ecm_setup_version(${KF5_VERSION}
    VARIABLE_PREFIX KIRIGAMI2
    VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/kirigami_version.h"
    PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5Kirigami2ConfigVersion.cmake"
    SOVERSION 5
)

if(BUILD_EXAMPLES AND CMAKE_SYSTEM_NAME STREQUAL "Android")
    find_package(Qt5AndroidExtras ${REQUIRED_QT_VERSION} REQUIRED)
endif()


ecm_find_qmlmodule(QtGraphicalEffects 1.0)

add_definitions(-DQT_NO_URL_CAST_FROM_STRING)

add_subdirectory(src)

if (BUILD_EXAMPLES AND NOT STATIC_LIBRARY)
    add_subdirectory(examples)
endif()

if (IS_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}/po")
    ecm_install_po_files_as_qm(po)
endif()

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== autotests/CMakeLists.txt ===
if(NOT Qt5Test_FOUND)
    message(STATUS "Qt5Test not found, autotests will not be built.")
    return()
endif()

add_test(NAME qmltests COMMAND qmltestrunner WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR})

set_property(TEST qmltests PROPERTY ENVIRONMENT 
"QML2_IMPORT_PATH=${CMAKE_BINARY_DIR}/bin")

=== src/CMakeLists.txt ===
project(kirigami)

if (NOT STATIC_LIBRARY)
    ecm_create_qm_loader(kirigami_QM_LOADER libkirigami2plugin_qt)
else()
    set(KIRIGAMI_STATIC_FILES
        libkirigami/basictheme.cpp
        libkirigami/platformtheme.cpp
        libkirigami/kirigamipluginfactory.cpp)
endif()

include_directories(${CMAKE_CURRENT_SOURCE_DIR}/libkirigami ${CMAKE_CURRENT_BINARY_DIR}/libkirigami)

set(kirigami_SRCS
    kirigamiplugin.cpp
    enums.cpp
    desktopicon.cpp
    settings.cpp
    formlayoutattached.cpp
    mnemonicattached.cpp
    ${kirigami_QM_LOADER}
    ${KIRIGAMI_STATIC_FILES}
    )

add_subdirectory(libkirigami)

if(STATIC_LIBRARY)
    # When using the static library, all QML files need to be shipped within the
    # .a file.
    qt5_add_resources(RESOURCES ${CMAKE_CURRENT_SOURCE_DIR}/../kirigami.qrc)
endif(STATIC_LIBRARY)


add_library(kirigamiplugin ${kirigami_SRCS} ${RESOURCES})

if(STATIC_LIBRARY)
    SET_TARGET_PROPERTIES(kirigamiplugin PROPERTIES
        AUTOMOC_MOC_OPTIONS -Muri=org.kde.kirigami)
    set(Kirigami_EXTRA_LIBS "")
else(STATIC_LIBRARY)
    set(Kirigami_EXTRA_LIBS KF5::Kirigami2)
endif(STATIC_LIBRARY)


target_link_libraries(kirigamiplugin
        PUBLIC
            Qt5::Core
        PRIVATE
            ${Kirigami_EXTRA_LIBS} Qt5::Qml Qt5::Quick Qt5::QuickControls2
    )

if (NOT STATIC_LIBRARY)

    add_custom_target(copy)

    file(MAKE_DIRECTORY ${CMAKE_BINARY_DIR}/bin/org/kde/kirigami.2)
    add_custom_command(TARGET copy PRE_BUILD
                        COMMAND ${CMAKE_COMMAND} -E
                            copy_directory ${CMAKE_CURRENT_SOURCE_DIR}/controls ${CMAKE_BINARY_DIR}/bin/org/kde/kirigami.2/)
    add_custom_command(TARGET copy PRE_BUILD
                        COMMAND ${CMAKE_COMMAND} -E
                            copy_directory ${CMAKE_CURRENT_SOURCE_DIR}/styles  ${CMAKE_BINARY_DIR}/bin/org/kde/kirigami.2/styles)

    add_dependencies(kirigamiplugin copy)

    install(DIRECTORY controls/ DESTINATION ${KDE_INSTALL_QMLDIR}/org/kde/kirigami.2)
    if(Qt5Qml_VERSION VERSION_GREATER 5.10)
        install(FILES controls/private/ActionMenuItemQt510.qml DESTINATION ${KDE_INSTALL_QMLDIR}/org/kde/kirigami.2/private
                RENAME ActionMenuItem.qml)
    else()
        install(FILES controls/private/ActionMenuItemQt59.qml DESTINATION ${KDE_INSTALL_QMLDIR}/org/kde/kirigami.2/private
                RENAME ActionMenuItem.qml)
    endif()

    if (PLASMA_ENABLED)
        install(DIRECTORY styles/Plasma DESTINATION ${KDE_INSTALL_QMLDIR}/org/kde/kirigami.2/styles)
    endif()
    if (DESKTOP_ENABLED)
        install(DIRECTORY styles/org.kde.desktop DESTINATION ${KDE_INSTALL_QMLDIR}/org/kde/kirigami.2/styles)
    endif()
    if (PLASMA_ENABLED AND DESKTOP_ENABLED)
        install(DIRECTORY styles/org.kde.desktop.plasma DESTINATION ${KDE_INSTALL_QMLDIR}/org/kde/kirigami.2/styles)
    endif()
    install(DIRECTORY styles/Material DESTINATION ${KDE_INSTALL_QMLDIR}/org/kde/kirigami.2/styles)

    install(FILES ${platformspecific} DESTINATION ${KDE_INSTALL_QMLDIR}/org/kde/kirigami.2)

    include(ECMGeneratePriFile)
    ecm_generate_pri_file(BASE_NAME Kirigami2 LIB_NAME KF5Kirigami2 DEPS "core qml quick svg" FILENAME_VAR PRI_FILENAME )
    install(FILES ${PRI_FILENAME}
            DESTINATION ${ECM_MKSPECS_INSTALL_DIR})

endif(NOT STATIC_LIBRARY)

install(TARGETS kirigamiplugin DESTINATION ${KDE_INSTALL_QMLDIR}/org/kde/kirigami.2)

## kirigami2 2.0.0

=== debian/changelog ===
kirigami2 (2.0.0-0ubuntu1) zesty; urgency=medium

  * Initial ubuntu release (LP: #1662011)
  * Update VCS fields for kubuntu.
  * debian/control: Correct package dependencies on kpackagelauncherqml.
  * lintian-overrides: Move desktop-command-not-in-package override for
    kpackagelauncherqml to kirigami-gallery package.

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 03 Feb 2017 22:42:16 +0000

kirigami2 (2.0.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 12 Jan 2017 12:36:09 +0000

kirigami2 (1.80.0-0neon) UNRELEASED; urgency=medium

  * Kirigami 2 package

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 19 Dec 2016 14:31:26 +0000

kirigami (1.1.0-1) unstable; urgency=medium

  * Initial Debian release.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 03 Oct 2016 18:48:42 +0200

kirigami (1.1.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 26 Sep 2016 11:53:18 +0000

kirigami (1.0.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 20 Sep 2016 13:39:43 +0000

kirigami (1.0.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 10 Aug 2016 15:20:12 +0000

kirigami (1.0.0-0) xenial; urgency=medium

  * Initial release.

 -- Bhushan Shah <bshah@kde.org>  Mon, 14 Mar 2016 11:39:57 +0530

=== debian/control ===
Source: kirigami2
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
XSBC-Original-Maintainer: Bhushan Shah <bhush94@gmail.com>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9~),
               extra-cmake-modules (>= 0.0.8~),
               kdoctools-dev,
               libkf5declarative-dev,
               libqt5svg5-dev (>= 5.5.0~),
               pkg-kde-tools,
               plasma-framework-dev (>= 5.18.0~),
               pkg-config,
               qtbase5-dev (>= 5.5.0~),
               qtdeclarative5-dev (>= 5.5.0~),
               qtquickcontrols2-5-dev,
               qttools5-dev-tools
Standards-Version: 3.9.8
Homepage: https://projects.kde.org/kirigami
Vcs-Browser: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kirigami2
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kirigami2

Package: qml-module-org-kde-kirigami2
Architecture: any
Depends: plasma-framework,
         qml-module-org-kde-kquickcontrolsaddons,
         qml-module-qtgraphicaleffects,
         qml-module-qtqml-models2,
         qml-module-qtquick-controls2,
         qml-module-qtquick-templates2,
         qml-module-qtquick2,
         ${misc:Depends},
         ${shlibs:Depends}
Description: set of QtQuick components targeted for mobile use
 Kirigami is a set of QtQuick components at the moment targeted for
 mobile use (in the future desktop as well) targeting both Plasma
 Mobile and Android. A set of high level components to make the
 creation of applications that look and feel great on mobile as well
 as desktop devices and follow the Kirigami Human Interface
 Guidelines. The target of these components is anybody that wants to
 do an application using QtQuick as its main UI, especially if
 targeting a mobile platform, without adding many dependencies. They
 work on a variety of platforms, such as Plasma Mobile, Desktop Linux,
 Android and Windows.

Package: kirigami2-dev
Architecture: any
Depends: qml-module-org-kde-kirigami2, ${misc:Depends}, ${shlibs:Depends}
Description: set of QtQuick components targeted for mobile use
 Kirigami is a set of QtQuick components at the moment targeted for
 mobile use (in the future desktop as well) targeting both Plasma
 Mobile and Android. A set of high level components to make the
 creation of applications that look and feel great on mobile as well
 as desktop devices and follow the Kirigami Human Interface
 Guidelines. The target of these components is anybody that wants to
 do an application using QtQuick as its main UI, especially if
 targeting a mobile platform, without adding many dependencies. They
 work on a variety of platforms, such as Plasma Mobile, Desktop Linux,
 Android and Windows.
 .
 This package contains the development files.

Package: kirigami-gallery
Architecture: any
Depends: kpackagelauncherqml,
         qml-module-org-kde-kirigami2,
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: qml-module-org-kde-kirigami2 (<< 2.0.0-0neon+16.04+build3)
Replaces: qml-module-org-kde-kirigami2 (<< 2.0.0-0neon+16.04+build3)
Description: set of QtQuick components targeted for mobile use
 Kirigami is a set of QtQuick components at the moment targeted for
 mobile use (in the future desktop as well) targeting both Plasma
 Mobile and Android. A set of high level components to make the
 creation of applications that look and feel great on mobile as well
 as desktop devices and follow the Kirigami Human Interface
 Guidelines. The target of these components is anybody that wants to
 do an application using QtQuick as its main UI, especially if
 targeting a mobile platform, without adding many dependencies. They
 work on a variety of platforms, such as Plasma Mobile, Desktop Linux,
 Android and Windows.
 .
 This package contains the example application Kirigami Gallery.

## kirigami2 5.38.0

=== debian/changelog ===
kirigami2 (5.38.0-0ubuntu1) artful; urgency=low

  * New upstream release (5.38.0)

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 11 Sep 2017 13:15:54 +0100

kirigami2 (5.37.0-0ubuntu1) artful; urgency=low

  * New upstream release (5.37.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 12 Aug 2017 18:49:12 +0100

kirigami2 (2.2.0-0ubuntu1) artful; urgency=medium

  * New upstream release (2.2.0)

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 19 Jun 2017 16:24:44 +0100

kirigami2 (2.1.1-0ubuntu1) artful; urgency=medium

  * New upstream bugfix release (2.1.1)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 02 May 2017 11:07:28 +0100

kirigami2 (2.1.0-0ubuntu1) artful; urgency=medium

  * New upstream release (2.1.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 29 Apr 2017 17:52:12 +0100

=== debian/control ===
--- 
+++ 
@@ -6,13 +6,13 @@
 XSBC-Original-Maintainer: Bhushan Shah <bhush94@gmail.com>
 Build-Depends: cmake (>= 2.8.12~),
                debhelper (>= 9~),
-               extra-cmake-modules (>= 0.0.8~),
-               kdoctools-dev,
-               libkf5declarative-dev,
+               extra-cmake-modules (>= 5.38.0~),
+               kdoctools-dev (>= 5.38.0~),
+               libkf5declarative-dev (>= 5.38.0~),
                libqt5svg5-dev (>= 5.5.0~),
+               pkg-config,
                pkg-kde-tools,
-               plasma-framework-dev (>= 5.18.0~),
-               pkg-config,
+               plasma-framework-dev (>= 5.38.0~),
                qtbase5-dev (>= 5.5.0~),
                qtdeclarative5-dev (>= 5.5.0~),
                qtquickcontrols2-5-dev,

## kirigami2 5.44.0

=== debian/changelog ===
kirigami2 (5.44.0-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.44.0)

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 12 Mar 2018 19:58:02 +0000

kirigami2 (5.43.0-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.43.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 11 Feb 2018 11:15:37 +0000

kirigami2 (5.42.0-0ubuntu1) bionic; urgency=medium

  * Drop build dep on plasma-framework
  * New upstream release (5.42.0)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 26 Jan 2018 22:21:47 +0000

kirigami2 (5.41.0-0ubuntu1) bionic; urgency=low

  * New upstream release (5.41.0)

 -- Walter Lapchynski <wxl@ubuntu.com>  Sun, 10 Dec 2017 22:06:00 -0600

kirigami2 (5.40.0-0ubuntu1) bionic; urgency=medium

  * Add new library package for libkf5kirigami2-5 annd install new -dev
    files.
  * New upstream release (5.39.0)
  * New upstream release (5.40.0)
  * Additional build dependency on qttools5-dev, as
    Qt5LinguistToolsConfig.cmake has moved to this in Qt 5.9.2 packages

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 24 Nov 2017 17:16:42 +0000

=== debian/control ===
Source: kirigami2
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
XSBC-Original-Maintainer: Bhushan Shah <bhush94@gmail.com>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9~),
               extra-cmake-modules (>= 5.44.0~),
               kdoctools-dev (>= 5.44.0~),
               libkf5declarative-dev (>= 5.44.0~),
               libqt5svg5-dev (>= 5.5.0~),
               pkg-config,
               pkg-kde-tools,
               qml-module-qtgraphicaleffects,
               qtbase5-dev (>= 5.5.0~),
               qtdeclarative5-dev (>= 5.5.0~),
               qtdeclarative5-dev-tools,
               qtquickcontrols2-5-dev,
               qttools5-dev,
               qttools5-dev-tools
Standards-Version: 3.9.8
Homepage: https://projects.kde.org/kirigami
Vcs-Browser: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kirigami2
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kirigami2

Package: kirigami-gallery
Architecture: any
Depends: kpackagelauncherqml,
         qml-module-org-kde-kirigami2,
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: qml-module-org-kde-kirigami2 (<< 2.0.0-0neon+16.04+build3)
Replaces: qml-module-org-kde-kirigami2 (<< 2.0.0-0neon+16.04+build3)
Description: set of QtQuick components targeted for mobile use
 Kirigami is a set of QtQuick components at the moment targeted for
 mobile use (in the future desktop as well) targeting both Plasma
 Mobile and Android. A set of high level components to make the
 creation of applications that look and feel great on mobile as well
 as desktop devices and follow the Kirigami Human Interface
 Guidelines. The target of these components is anybody that wants to
 do an application using QtQuick as its main UI, especially if
 targeting a mobile platform, without adding many dependencies. They
 work on a variety of platforms, such as Plasma Mobile, Desktop Linux,
 Android and Windows.
 .
 This package contains the example application Kirigami Gallery.

Package: kirigami2-dev
Architecture: any
Depends: libkf5kirigami2-5 (= ${binary:Version}),
         qml-module-org-kde-kirigami2 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: set of QtQuick components targeted for mobile use
 Kirigami is a set of QtQuick components at the moment targeted for
 mobile use (in the future desktop as well) targeting both Plasma
 Mobile and Android. A set of high level components to make the
 creation of applications that look and feel great on mobile as well
 as desktop devices and follow the Kirigami Human Interface
 Guidelines. The target of these components is anybody that wants to
 do an application using QtQuick as its main UI, especially if
 targeting a mobile platform, without adding many dependencies. They
 work on a variety of platforms, such as Plasma Mobile, Desktop Linux,
 Android and Windows.
 .
 This package contains the development files.

Package: libkf5kirigami2-5
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: set of QtQuick components targeted for mobile use
 Kirigami is a set of QtQuick components at the moment targeted for
 mobile use (in the future desktop as well) targeting both Plasma
 Mobile and Android. A set of high level components to make the
 creation of applications that look and feel great on mobile as well
 as desktop devices and follow the Kirigami Human Interface
 Guidelines. The target of these components is anybody that wants to
 do an application using QtQuick as its main UI, especially if
 targeting a mobile platform, without adding many dependencies. They
 work on a variety of platforms, such as Plasma Mobile, Desktop Linux,
 Android and Windows.
 .
 This package contains the library.

Package: qml-module-org-kde-kirigami2
Architecture: any
Depends: libkf5kirigami2-5 (= ${binary:Version}),
         qml-module-org-kde-kquickcontrolsaddons,
         qml-module-qtgraphicaleffects,
         qml-module-qtqml-models2,
         qml-module-qtquick-controls2,
         qml-module-qtquick-templates2,
         qml-module-qtquick2,
         ${misc:Depends},
         ${shlibs:Depends},
Description: set of QtQuick components targeted for mobile use
 Kirigami is a set of QtQuick components at the moment targeted for
 mobile use (in the future desktop as well) targeting both Plasma
 Mobile and Android. A set of high level components to make the
 creation of applications that look and feel great on mobile as well
 as desktop devices and follow the Kirigami Human Interface
 Guidelines. The target of these components is anybody that wants to
 do an application using QtQuick as its main UI, especially if
 targeting a mobile platform, without adding many dependencies. They
 work on a variety of platforms, such as Plasma Mobile, Desktop Linux,
 Android and Windows.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

override_dh_auto_configure:
	$(overridden_command) -- -DBUILD_EXAMPLES=ON
	
override_dh_auto_test:
	# Disable dh_auto_test at build time
	:

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.asc/ http://download.kde.org/stable/kirigami/kirigami2-([\d.]+)\.tar\.xz

## kirigami2 5.50.0

=== debian/changelog ===
kirigami2 (5.50.0-0ubuntu1) cosmic; urgency=medium

  * kirigami-gallery has been split to a new source repository
  * kirigami-gallery has been split to a new source repository to be
    part of KDE applications. Make the package an empty transitional for
    the time being.
  * New upstream release (5.50.0)

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 10 Sep 2018 22:13:53 +0100

kirigami2 (5.49.0-0ubuntu1) cosmic; urgency=medium

  [ Rik Mills ]
  * New upstream release (5.48.0)
  * New upstream release (5.49.0)

  [ José Manuel Santamaría Lema ]
  * Move away from dhmk and set compat level to 11 in order to reduce
    delta with Debian

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 21 Aug 2018 20:30:28 +0100

kirigami2 (5.47.0-0ubuntu1) cosmic; urgency=medium

  * New upstream release (5.47.0)
  * Merge with debian, notes:
    - keep using dhmk and debhelper compat level = 9, see:
      https://phabricator.kde.org/w/kubuntu/black-operations/pyramid/

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 14 Jun 2018 15:49:28 +0100

kirigami2 (5.46.0-1) unstable; urgency=medium

  * New upstream release (5.46.0).
  * Bump Standards-Version to 4.1.4.
  * Use https for the debian/copyright
  * Bump group breaks (5.46)
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Thu, 17 May 2018 22:15:11 +0200

kirigami2 (5.46.0-0ubuntu1) cosmic; urgency=medium

  * New upstream release (5.45.0)
  * New upstream release (5.46.0)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 15 May 2018 15:56:39 +0100

kirigami2 (5.45.0-1) unstable; urgency=medium

  * New upstream release (5.45.0).
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.45)
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Sat, 05 May 2018 08:10:37 +0200

kirigami2 (5.44.0-2) sid; urgency=medium

  * New revision
  * Use the system icons, do not clone breeze
  * Release to sid

 -- Maximiliano Curia <maxy@debian.org>  Thu, 22 Mar 2018 18:03:53 +0100

kirigami2 (5.44.0-1) sid; urgency=medium

  * New upstream release (5.44.0).
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.44)
  * Release to sid

 -- Maximiliano Curia <maxy@debian.org>  Wed, 21 Mar 2018 14:40:58 +0100

kirigami2 (5.43.0-1) experimental; urgency=medium

  [ Dmitry Shachnev ]
  * Change build-dependency from qttools5-dev-tools to qttools5-dev.
    (Closes: #881080)
  * Remove XSBC-Original-Maintainer field from debian/control.
  * Use correct Format field in debian/copyright.
  * Use HTTPS in debian/watch.
  * Update changelog for 1.1.0-2 release

  [ Maximiliano Curia ]
  * Use the salsa canonical urls
  * New upstream release (5.43.0).
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.43)
  * Drop qml-module-org-kde-kquickcontrolsaddons runtime dependency
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Mon, 26 Feb 2018 11:43:46 +0100

kirigami2 (5.42.0-3) sid; urgency=medium

  * New revision
  * Add kpackagetool as a build dep
  * Release to sid

 -- Maximiliano Curia <maxy@debian.org>  Sat, 10 Feb 2018 14:33:16 +0100

kirigami2 (5.42.0-2) sid; urgency=medium

  * New revision
  * Drop libkf5declarative-dev build dep
  * Release to sid

 -- Maximiliano Curia <maxy@debian.org>  Sat, 10 Feb 2018 11:28:58 +0100

kirigami2 (5.42.0-1) experimental; urgency=medium

  * New upstream release (5.42.0).
  * Add link options as-needed
  * Bump debhelper build-dep and compat to 11.
  * Build without build_stamp
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.42)
  * Bump Standards-Version to 4.1.3.
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Fri, 02 Feb 2018 12:05:26 +0100

kirigami2 (5.41.0-1) experimental; urgency=medium

  [ Maximiliano Curia ]
  * New upstream release (5.38.0).
  * New upstream release (5.41.0).
  * Update build-deps and deps with the info from cmake
  * Bump Standards-Version to 4.1.2.
  * Update install files
  * Enable QCH build
  * Add qch documentation package
  * Update copyright file
  * Release to experimental

  [ Jonathan Riddell ]
  * new library package

 -- Maximiliano Curia <maxy@debian.org>  Fri, 15 Dec 2017 10:42:47 -0300

kirigami2 (5.37.0-3) unstable; urgency=medium

  * Team upload.
  * Change build-dependency from qttools5-dev-tools to qttools5-dev.
    (Closes: #881076)

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 08 Nov 2017 17:01:56 +0300

kirigami2 (5.37.0-2) sid; urgency=medium

  * New revision
  * Bump Standards-Version to 4.1.0.
  * Release to sid

 -- Maximiliano Curia <maxy@debian.org>  Sun, 03 Sep 2017 09:58:22 +0200

kirigami2 (5.37.0-1) experimental; urgency=medium

  * Update watch file
  * New upstream release (5.37.0).
  * Update build-deps and deps with the info from cmake
  * Bump Standards-Version to 4.0.1.
  * wrap-and-sort
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Wed, 16 Aug 2017 10:42:38 +0200

kirigami2 (2.2.0-1) experimental; urgency=medium

  * Initial debian release
  * Update copyright information
  * Disable tests at build time
  * Bump Standards-Version to 4.0.0, no changes needed.
  * debian/watch: use https
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Wed, 12 Jul 2017 13:09:33 +0200

kirigami2 (2.2.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 21 Jun 2017 13:45:07 +0000

kirigami2 (2.1.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 02 May 2017 09:49:24 +0000

kirigami (1.1.0-2) unstable; urgency=medium

  * Team upload.
  * Change build-dependency from qttools5-dev-tools to qttools5-dev.
    (Closes: #881080)
  * Remove XSBC-Original-Maintainer field from debian/control.
  * Use correct Format field in debian/copyright.
  * Use HTTPS in debian/watch.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 09 Nov 2017 14:17:12 +0300

=== debian/control ===
--- 
+++ 
@@ -2,56 +2,42 @@
 Section: kde
 Priority: optional
 Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-XSBC-Original-Maintainer: Bhushan Shah <bhush94@gmail.com>
 Uploaders: Maximiliano Curia <maxy@debian.org>
-Build-Depends: cmake (>= 2.8.12~),
-               debhelper (>= 9~),
-               extra-cmake-modules (>= 5.44.0~),
-               kdoctools-dev (>= 5.44.0~),
-               libkf5declarative-dev (>= 5.44.0~),
-               libqt5svg5-dev (>= 5.5.0~),
-               pkg-config,
+Build-Depends: breeze-icon-theme (>= 4:5.50.0~),
+               cmake (>= 3.0~),
+               debhelper (>= 11~),
+               doxygen,
+               extra-cmake-modules (>= 5.50.0~),
+               graphviz,
+               kpackagetool5 (>= 5.50.0~),
+               libkf5doctools-dev (>= 5.50.0~),
+               libqt5svg5-dev (>= 5.8.0~),
                pkg-kde-tools,
-               qml-module-qtgraphicaleffects,
-               qtbase5-dev (>= 5.5.0~),
-               qtdeclarative5-dev (>= 5.5.0~),
-               qtdeclarative5-dev-tools,
-               qtquickcontrols2-5-dev,
+               qtbase5-dev (>= 5.8.0~),
+               qtdeclarative5-dev (>= 5.8.0~),
+               qtquickcontrols2-5-dev (>= 5.8.0~),
                qttools5-dev,
-               qttools5-dev-tools
-Standards-Version: 3.9.8
-Homepage: https://projects.kde.org/kirigami
-Vcs-Browser: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kirigami2
+               qttools5-dev-tools (>= 5.7),
+Standards-Version: 4.1.4
+Homepage: https://cgit.kde.org/kirigami.git/
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kirigami2
 Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kirigami2
 
 Package: kirigami-gallery
 Architecture: any
-Depends: kpackagelauncherqml,
-         qml-module-org-kde-kirigami2,
-         ${misc:Depends},
-         ${shlibs:Depends},
-Breaks: qml-module-org-kde-kirigami2 (<< 2.0.0-0neon+16.04+build3)
-Replaces: qml-module-org-kde-kirigami2 (<< 2.0.0-0neon+16.04+build3)
-Description: set of QtQuick components targeted for mobile use
- Kirigami is a set of QtQuick components at the moment targeted for
- mobile use (in the future desktop as well) targeting both Plasma
- Mobile and Android. A set of high level components to make the
- creation of applications that look and feel great on mobile as well
- as desktop devices and follow the Kirigami Human Interface
- Guidelines. The target of these components is anybody that wants to
- do an application using QtQuick as its main UI, especially if
- targeting a mobile platform, without adding many dependencies. They
- work on a variety of platforms, such as Plasma Mobile, Desktop Linux,
- Android and Windows.
- .
- This package contains the example application Kirigami Gallery.
+Section: oldlibs
+Priority: optional
+Depends: ${misc:Depends},
+Description: transitional dummy package
+ This is a transitional dummy package. It can safely be removed.
 
 Package: kirigami2-dev
 Architecture: any
 Depends: libkf5kirigami2-5 (= ${binary:Version}),
          qml-module-org-kde-kirigami2 (= ${binary:Version}),
          ${misc:Depends},
-         ${shlibs:Depends}
+         ${shlibs:Depends},
+Recommends: libkf5kirigami2-doc (>= ${source:Version})
 Description: set of QtQuick components targeted for mobile use
  Kirigami is a set of QtQuick components at the moment targeted for
  mobile use (in the future desktop as well) targeting both Plasma
@@ -84,6 +70,25 @@
  .
  This package contains the library.
 
+Package: libkf5kirigami2-doc
+Architecture: all
+Multi-Arch: foreign
+Section: doc
+Depends: ${misc:Depends}
+Description: set of QtQuick components targeted for mobile use (documentation)
+ Kirigami is a set of QtQuick components at the moment targeted for
+ mobile use (in the future desktop as well) targeting both Plasma
+ Mobile and Android. A set of high level components to make the
+ creation of applications that look and feel great on mobile as well
+ as desktop devices and follow the Kirigami Human Interface
+ Guidelines. The target of these components is anybody that wants to
+ do an application using QtQuick as its main UI, especially if
+ targeting a mobile platform, without adding many dependencies. They
+ work on a variety of platforms, such as Plasma Mobile, Desktop Linux,
+ Android and Windows.
+ .
+ This package contains the qch documentation files.
+
 Package: qml-module-org-kde-kirigami2
 Architecture: any
 Depends: libkf5kirigami2-5 (= ${binary:Version}),

## kirigami2 5.54.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,11 +1,11 @@
-cmake_minimum_required(VERSION 3.0)
+cmake_minimum_required(VERSION 3.5)
 
-set(KF5_VERSION "5.44.0") # handled by release scripts
-set(KF5_DEP_VERSION "5.44.0") # handled by release scripts
+set(KF5_VERSION "5.54.0") # handled by release scripts
+set(KF5_DEP_VERSION "5.54.0") # handled by release scripts
 
 project(kirigami2 VERSION ${KF5_VERSION})
 
-set(REQUIRED_QT_VERSION "5.7.0")
+set(REQUIRED_QT_VERSION 5.9.0)
 
 SET(CMAKE_CXX_STANDARD 11)
 
@@ -19,6 +19,7 @@
 option(DESKTOP_ENABLED "Build and install The Desktop style" ON)
 option(STATIC_LIBRARY "Build as a static library (deprecated, use BUILD_SHARED_LIBS instead)" OFF)
 option(BUILD_EXAMPLES "Build and install examples" OFF)
+option(DISABLE_DBUS "Build without D-Bus support" OFF)
 
 if(NOT BUILD_SHARED_LIBS)
     set(STATIC_LIBRARY 1)
@@ -31,7 +32,9 @@
 include(FeatureSummary)
 
 find_package(Qt5 ${REQUIRED_QT_VERSION} REQUIRED NO_MODULE COMPONENTS Core Quick Gui Svg QuickControls2)
-find_package(Qt5Test ${REQUIRED_QT_VERSION} CONFIG QUIET)
+if (BUILD_TESTING)
+    find_package(Qt5Test ${REQUIRED_QT_VERSION} CONFIG QUIET)
+endif()
 
 set(CMAKE_AUTOMOC ON)
 set(AUTOMOC_MOC_OPTIONS -Muri=org.kde.kirigami)
@@ -42,12 +45,14 @@
     add_definitions(-DQT_PLUGIN)
     add_definitions(-DQT_STATICPLUGIN=1)
 else(STATIC_LIBRARY)
-    add_subdirectory(autotests)
+    if (BUILD_TESTING)
+        add_subdirectory(autotests)
+    endif()
 endif(STATIC_LIBRARY)
 
 ################# set KDE specific information #################
 
-find_package(ECM 5.44.0 NO_MODULE)
+find_package(ECM 5.54.0 NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://projects.kde.org/projects/kdesupport/extra-cmake-modules")
 
 # where to look first for cmake modules, before ${CMAKE_ROOT}/Modules/ is checked
@@ -63,7 +68,7 @@
 include(KDECMakeSettings)
 include(ECMQtDeclareLoggingCategory)
 include(ECMAddQch)
-include(KDECompilerSettings NO_POLICY_SCOPE)
+include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
 
 set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF5Kirigami2")
 
@@ -99,6 +104,12 @@
     SOVERSION 5
 )
 
+#use dbus on linux, bsd etc, but not andoid and apple stuff
+if (UNIX AND NOT CMAKE_SYSTEM_NAME STREQUAL "Android" AND NOT(APPLE) AND NOT(DISABLE_DBUS))
+    find_package(Qt5DBus)
+    add_definitions(-DKIRIGAMI_ENABLE_DBUS)
+endif()
+
 if(BUILD_EXAMPLES AND CMAKE_SYSTEM_NAME STREQUAL "Android")
     find_package(Qt5AndroidExtras ${REQUIRED_QT_VERSION} REQUIRED)
 endif()
@@ -106,7 +117,6 @@
 
 ecm_find_qmlmodule(QtGraphicalEffects 1.0)
 
-add_definitions(-DQT_NO_URL_CAST_FROM_STRING)
 
 add_subdirectory(src)

=== examples/CMakeLists.txt ===

add_subdirectory(applicationitemapp)

=== debian/changelog ===
kirigami2 (5.54.0-1+rb2) UNRELEASED; urgency=medium

  * update

 -- Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Fri, 22 Jan 2021 11:36:12 +0800

kirigami2 (5.54.0-1) unstable; urgency=medium

  * New upstream release (5.52.0).
  * Update build-deps and deps with the info from cmake
  * New upstream release (5.53.0).
  * Update build-deps and deps with the info from cmake
  * New upstream release (5.54.0).
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.54)
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Thu, 17 Jan 2019 19:27:01 -0300

kirigami2 (5.51.0-1) unstable; urgency=medium

  * New upstream release (5.50.0).
  * Update build-deps and deps with the info from cmake
  * Drop kirigami-gallery
  * Bump group breaks (5.50)
  * New upstream release (5.51.0).
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.51)
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Wed, 07 Nov 2018 17:17:01 +0100

kirigami2 (5.49.0-1) unstable; urgency=medium

  * New upstream release (5.48.0).
  * Update build-deps and deps with the info from cmake
  * New upstream release (5.49.0).
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.49)
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Fri, 17 Aug 2018 16:18:41 +0200

kirigami2 (5.47.0-2) unstable; urgency=medium

  * Update build-deps and deps with the info from cmake
  * Disable autopkgtest (Closes: 901746)
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Tue, 19 Jun 2018 15:41:43 +0200

kirigami2 (5.47.0-1) unstable; urgency=medium

  * New revision
  * Update Vcs fields
  * Add upstream metadata
  * New upstream release (5.47.0).
  * Bump group breaks (5.47)
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Fri, 15 Jun 2018 12:09:40 +0200

=== debian/control ===
--- 
+++ 
@@ -3,33 +3,25 @@
 Priority: optional
 Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Maximiliano Curia <maxy@debian.org>
-Build-Depends: breeze-icon-theme (>= 4:5.50.0~),
-               cmake (>= 3.0~),
+Build-Depends: breeze-icon-theme,
+               cmake (>= 3.5~),
                debhelper (>= 11~),
                doxygen,
-               extra-cmake-modules (>= 5.50.0~),
+               extra-cmake-modules (>= 5.54.0~),
                graphviz,
-               kpackagetool5 (>= 5.50.0~),
-               libkf5doctools-dev (>= 5.50.0~),
-               libqt5svg5-dev (>= 5.8.0~),
+               kpackagetool5,
+               libkf5doctools-dev,
+               libqt5svg5-dev (>= 5.9.0~),
                pkg-kde-tools,
-               qtbase5-dev (>= 5.8.0~),
-               qtdeclarative5-dev (>= 5.8.0~),
-               qtquickcontrols2-5-dev (>= 5.8.0~),
+               qtbase5-dev (>= 5.9.0~),
+               qtdeclarative5-dev (>= 5.9.0~),
+               qtquickcontrols2-5-dev (>= 5.9.0~),
                qttools5-dev,
                qttools5-dev-tools (>= 5.7),
 Standards-Version: 4.1.4
 Homepage: https://cgit.kde.org/kirigami.git/
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kirigami2
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kirigami2
-
-Package: kirigami-gallery
-Architecture: any
-Section: oldlibs
-Priority: optional
-Depends: ${misc:Depends},
-Description: transitional dummy package
- This is a transitional dummy package. It can safely be removed.
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kirigami
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kirigami.git
 
 Package: kirigami2-dev
 Architecture: any
@@ -53,8 +45,8 @@
  This package contains the development files.
 
 Package: libkf5kirigami2-5
+Section: libs
 Architecture: any
-Section: libs
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: set of QtQuick components targeted for mobile use
  Kirigami is a set of QtQuick components at the moment targeted for
@@ -69,11 +61,12 @@
  Android and Windows.
  .
  This package contains the library.
+Breaks: qml-module-org-kde-qqc2desktopstyle (<< 5.54)
 
 Package: libkf5kirigami2-doc
+Section: doc
 Architecture: all
 Multi-Arch: foreign
-Section: doc
 Depends: ${misc:Depends}
 Description: set of QtQuick components targeted for mobile use (documentation)
  Kirigami is a set of QtQuick components at the moment targeted for
@@ -92,7 +85,6 @@
 Package: qml-module-org-kde-kirigami2
 Architecture: any
 Depends: libkf5kirigami2-5 (= ${binary:Version}),
-         qml-module-org-kde-kquickcontrolsaddons,
          qml-module-qtgraphicaleffects,
          qml-module-qtqml-models2,
          qml-module-qtquick-controls2,
@@ -111,3 +103,6 @@
  targeting a mobile platform, without adding many dependencies. They
  work on a variety of platforms, such as Plasma Mobile, Desktop Linux,
  Android and Windows.
+Breaks: qml-module-org-kde-kcm (<< 5.54),
+        qml-module-org-kde-newstuff (<< 5.54),
+        qml-module-org-kde-qqc2desktopstyle (<< 5.54),

## kirigami2 5.56.1

=== debian/changelog ===
kirigami2 (5.56.1-0ubuntu1) disco; urgency=medium

  * New upstream bugfix release (5.56.1).

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 13 Mar 2019 11:08:59 +0000

kirigami2 (5.56.0-0ubuntu1) disco; urgency=medium

  * New upstream release (5.56.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 09 Mar 2019 16:36:19 +0000

kirigami2 (5.55.0-0ubuntu1) disco; urgency=medium

  * New upstream release (5.55.0)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 13 Feb 2019 08:31:37 +0000

kirigami2 (5.54.0-0ubuntu1) disco; urgency=medium

  * New upstream release (5.54.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 13 Jan 2019 12:35:16 +0000

kirigami2 (5.53.0-0ubuntu1) disco; urgency=medium

  * New upstream release (5.53.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sun, 09 Dec 2018 20:48:57 +0000

kirigami2 (5.52.0-0ubuntu1) disco; urgency=medium

  [ Rik Mills ]
  * New upstream release (5.51.0)

  [ José Manuel Santamaría Lema ]
  * New upstream release (5.52.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 22 Nov 2018 14:42:25 +0000

=== debian/control ===
--- 
+++ 
@@ -3,25 +3,33 @@
 Priority: optional
 Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Maximiliano Curia <maxy@debian.org>
-Build-Depends: breeze-icon-theme,
-               cmake (>= 3.5~),
+Build-Depends: breeze-icon-theme (>= 4:5.56.0~),
+               cmake (>= 3.0~),
                debhelper (>= 11~),
                doxygen,
-               extra-cmake-modules (>= 5.54.0~),
+               extra-cmake-modules (>= 5.56.0~),
                graphviz,
-               kpackagetool5,
-               libkf5doctools-dev,
-               libqt5svg5-dev (>= 5.9.0~),
+               kpackagetool5 (>= 5.56.0~),
+               libkf5doctools-dev (>= 5.56.0~),
+               libqt5svg5-dev (>= 5.8.0~),
                pkg-kde-tools,
-               qtbase5-dev (>= 5.9.0~),
-               qtdeclarative5-dev (>= 5.9.0~),
-               qtquickcontrols2-5-dev (>= 5.9.0~),
+               qtbase5-dev (>= 5.8.0~),
+               qtdeclarative5-dev (>= 5.8.0~),
+               qtquickcontrols2-5-dev (>= 5.8.0~),
                qttools5-dev,
                qttools5-dev-tools (>= 5.7),
 Standards-Version: 4.1.4
 Homepage: https://cgit.kde.org/kirigami.git/
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kirigami
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kirigami.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kirigami2
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kirigami2
+
+Package: kirigami-gallery
+Architecture: any
+Section: oldlibs
+Priority: optional
+Depends: ${misc:Depends},
+Description: transitional dummy package
+ This is a transitional dummy package. It can safely be removed.
 
 Package: kirigami2-dev
 Architecture: any
@@ -45,8 +53,8 @@
  This package contains the development files.
 
 Package: libkf5kirigami2-5
+Architecture: any
 Section: libs
-Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: set of QtQuick components targeted for mobile use
  Kirigami is a set of QtQuick components at the moment targeted for
@@ -61,12 +69,11 @@
  Android and Windows.
  .
  This package contains the library.
-Breaks: qml-module-org-kde-qqc2desktopstyle (<< 5.54)
 
 Package: libkf5kirigami2-doc
-Section: doc
 Architecture: all
 Multi-Arch: foreign
+Section: doc
 Depends: ${misc:Depends}
 Description: set of QtQuick components targeted for mobile use (documentation)
  Kirigami is a set of QtQuick components at the moment targeted for
@@ -85,6 +92,7 @@
 Package: qml-module-org-kde-kirigami2
 Architecture: any
 Depends: libkf5kirigami2-5 (= ${binary:Version}),
+         qml-module-org-kde-kquickcontrolsaddons,
          qml-module-qtgraphicaleffects,
          qml-module-qtqml-models2,
          qml-module-qtquick-controls2,
@@ -103,6 +111,3 @@
  targeting a mobile platform, without adding many dependencies. They
  work on a variety of platforms, such as Plasma Mobile, Desktop Linux,
  Android and Windows.
-Breaks: qml-module-org-kde-kcm (<< 5.54),
-        qml-module-org-kde-newstuff (<< 5.54),
-        qml-module-org-kde-qqc2desktopstyle (<< 5.54),

## kirigami2 5.62.0

=== debian/changelog ===
kirigami2 (5.62.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.62.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 14 Sep 2019 08:07:20 +0100

kirigami2 (5.61.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.61.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 12 Aug 2019 10:42:49 +0100

kirigami2 (5.60.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.60.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 20 Jul 2019 08:16:32 +0100

kirigami2 (5.59.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.59.0)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 12 Jun 2019 11:19:41 +0100

kirigami2 (5.58.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.58.0)

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 13 May 2019 15:40:42 +0100

kirigami2 (5.57.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.57.0)

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 22 Apr 2019 08:38:20 +0100

=== debian/control ===
--- 
+++ 
@@ -3,14 +3,14 @@
 Priority: optional
 Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Maximiliano Curia <maxy@debian.org>
-Build-Depends: breeze-icon-theme (>= 4:5.56.0~),
+Build-Depends: breeze-icon-theme (>= 4:5.62.0~),
                cmake (>= 3.0~),
                debhelper (>= 11~),
                doxygen,
-               extra-cmake-modules (>= 5.56.0~),
+               extra-cmake-modules (>= 5.62.0~),
                graphviz,
-               kpackagetool5 (>= 5.56.0~),
-               libkf5doctools-dev (>= 5.56.0~),
+               kpackagetool5 (>= 5.62.0~),
+               libkf5doctools-dev (>= 5.62.0~),
                libqt5svg5-dev (>= 5.8.0~),
                pkg-kde-tools,
                qtbase5-dev (>= 5.8.0~),

=== debian/tests/control ===
Tests: testsuite
Depends: @, @builddeps@, xvfb, xauth, qtdeclarative5-dev-tools,
         qml-module-qttest, openbox
Restrictions: build-needed, allow-stderr
